Subject: Re: [PATCH 1/2] GenWQE: Fix endian issues detected by sparse

From: Frank Haverkamp <[email-masked]>
Date: Fri, 20 Dec 2013 20:12:53 +0100

Hi Greg,

Am Freitag, den 20.12.2013, 16:26 +0100 schrieb Frank Haverkamp:
> +++ b/drivers/misc/genwqe/card_utils.c
> @@ -59,7 +59,7 @@ int __genwqe_writeq(struct genwqe_dev *c
>         if (cd->mmio == NULL)
>                 return -EIO;
> 
> -       __raw_writeq(cpu_to_be64((val)), (cd->mmio + byte_offs));
> +       __raw_writeq((__force u32)cpu_to_be64(val), cd->mmio +
> byte_offs);

what a pity. I introduced here a wrong cast to u32 and not to u64 what
it should have been. I will send a fix, once I have tried it out.

Regards

Frank